# The Swoole\MySQL class

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

## Introduction

## Class synopsis

Swoole\MySQL {
/* Methods */
public close ( void ) : void
public connect ( array `$server_config` , callable `$callback` ) : void
public __destruct ( void ) : void
public getBuffer ( void ) : ReturnType
public on ( string `$event_name` , callable `$callback` ) : void
public query ( string `$sql` , callable `$callback` ) : ReturnType
}

## Table of Contents

- Swoole\MySQL::close — Close the async MySQL connection.
- Swoole\MySQL::connect — Connect to the remote MySQL server.
- Swoole\MySQL::__construct — Construct an async MySQL client.
- Swoole\MySQL::__destruct — Destory the async MySQL client.
- Swoole\MySQL::getBuffer — Description
- Swoole\MySQL::on — Register callback function based on event name.
- Swoole\MySQL::query — Run the SQL query.